#
# Conditional build:
%bcond_with	tests	# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	GDOME
Summary:	XML::GDOME - interface to Level 2 DOM gdome2 library
Summary(pl.UTF-8):	XML::GDOME - interfejs do biblioteki DOM Level 2 gdome2
Name:		perl-XML-GDOME
Version:	0.86
Release:	9
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/XML/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	01ee59f686f9d409bdc316297942ea55
URL:		http://search.cpan.org/dist/XML-GDOME/
BuildRequires:	gdome2-devel >= 0.7.2
BuildRequires:	glib-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-XML-LibXML-Common
BuildRequires:	perl-XML-SAX
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XML::GDOME is a Perl module that provides the DOM Level 2 Core API for
accessing XML documents. It uses a XS wrapper around the gdome2
library.

%description -l pl.UTF-8
XML::GDOME to moduł Perla dostarczający podstawowe API DOM Level 2 do
dostępu do dokumentów XML. Używa wrappera XS do biblioteki gdome2.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/XML/*.pm
%dir %{perl_vendorarch}/XML/GDOME
%{perl_vendorarch}/XML/GDOME/SAX
%dir %{perl_vendorarch}/auto/XML/GDOME
%attr(755,root,root) %{perl_vendorarch}/auto/XML/GDOME/*.so
%{_mandir}/man3/*
%changelog
* Fri Feb 27 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-XML-GDOME.git;a=log;h=auto/th/perl-XML-GDOME-0.86-9

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> f1b2168
- x32 rebuild
- release 9 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 7a6d1eb
- release 8 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 684448d
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 28a4f41
- rebuild for perl 5.20
- release 7 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 4ddbb03
- rebuild with perl 5.18.0
- release 6 (by relup.sh)

* Wed Feb 02 2011 sparky <sparky@pld-linux.org> 98f7a09
- BR: glib-devel

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> d4345f3
- release 5

* Tue Mar 25 2008 Jakub Bogusz <qboosh@pld-linux.org> 56a8a3d
- generic URL

* Sun Mar 02 2008 radek <radek@pld-linux.org> 38431c2
- release 4

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 436f8c1
- rel 3

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> c0cdae4
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 5d396f2
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> c19f102
- converted to UTF-8

* Thu Aug 11 2005 radek <radek@pld-linux.org> 8da0b3e
- bcond_with(out) is followed by one \t, then bcond's name.

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 8703c8b
- formatting

* Mon Jun 14 2004 radek <radek@pld-linux.org> a48ae55
- release 2: it's not noarch

* Thu May 06 2004 ankry <ankry@pld-linux.org> 93f0520
- fixed perl-devel BR

* Tue May 04 2004 ankry <ankry@pld-linux.org> 8e6f026
- cosmetics

* Sun Apr 04 2004 Adam Gołębiowski <adamg@pld-linux.org> 90f64fb
- updated to 0.86

* Fri Dec 05 2003 Jakub Bogusz <qboosh@pld-linux.org> 7d2325f
- outdated

